Bug 952970 - MCollective::Connector::*#disconnect should substitute nil to @connection
Summary: MCollective::Connector::*#disconnect should substitute nil to @connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mcollective
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-17 05:06 UTC by Krishna Raman
Modified: 2014-06-18 07:25 UTC (History)
3 users (show)

Fixed In Version: mcollective-2.2.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-18 21:33:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Krishna Raman 2013-04-17 05:06:23 UTC
Description of problem:
MCollective::Connector::*#disconnect should substitute nil to @connection

Version-Release number of selected component (if applicable):
mcollective-2.2.0-3.fc19

How reproducible:
Always

Steps to Reproduce:
1. Create a rpcclient
2. close the connection
3. Create a new rpcclient
  
Actual results:
no current connection exists (Stomp::Error::NoCurrentConnection)

Expected results:
Get a new rpcclient which is connected to the queue

Additional info:
Please backport and merge in http://projects.puppetlabs.com/issues/17384

Comment 1 Steve Traylen 2013-04-17 06:51:06 UTC
Sur

Comment 2 Fedora Update System 2013-04-17 11:01:15 UTC
mcollective-2.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mcollective-2.2.3-1.el6

Comment 3 Fedora Update System 2013-04-17 11:01:41 UTC
mcollective-2.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mcollective-2.2.3-1.fc19

Comment 4 Fedora Update System 2013-04-17 16:24:28 UTC
Package mcollective-2.2.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mcollective-2.2.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5875/mcollective-2.2.3-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-08-18 21:33:23 UTC
mcollective-2.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-09-02 18:07:09 UTC
mcollective-2.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.